Re: Mancato aggiornamento alla 2020.4


Rino Chinese
 

Anch'io non riesco ad aggiornare alla 2020.4. Ho disattivato tutti gli addons tranne il Vocalizer expressive.

Quando faccio partire l'installazione, dop aver scaricato il file ed aver iniziato a lavorare, appare questo messaggio:
C:\Users\User\AppData\Local\Temp\nstCF27.tmp\app\nvda_slave.exe
Errore nel file system (-1073740791).

e devo per forza interrompere.

Incollo qui di seguito il log:
INFO - __main__ (16:10:55.796) - MainThread (13276):
Starting NVDA version 2020.4
INFO - core.main (16:10:55.966) - MainThread (13276):
Config dir: C:\Users\User\AppData\Roaming\nvda
INFO - config.ConfigManager._loadConfig (16:10:55.966) - MainThread (13276):
Loading config: C:\Users\User\AppData\Roaming\nvda\nvda.ini
INFO - core.main (16:10:56.026) - MainThread (13276):
Using Windows version 10.0.19041 workstation
INFO - core.main (16:10:56.026) - MainThread (13276):
Using Python version 3.7.9 (tags/v3.7.9:13c94747c7, Aug 17 2020, 18:01:55) [MSC v.1900 32 bit (Intel)]
INFO - core.main (16:10:56.026) - MainThread (13276):
Using comtypes version 1.1.7
INFO - core.main (16:10:56.026) - MainThread (13276):
Using configobj version 5.1.0 with validate version 1.0.1
INFO - synthDriverHandler.setSynth (16:10:56.606) - MainThread (13276):
Loaded synthDriver vocalizer_expressive
INFO - core.main (16:10:56.606) - MainThread (13276):
Using wx version 4.0.3 msw (phoenix) wxWidgets 3.0.5 with six version 1.12.0
INFO - brailleInput.initialize (16:10:56.606) - MainThread (13276):
Braille input initialized
INFO - braille.initialize (16:10:56.606) - MainThread (13276):
Using liblouis version 3.16.1
INFO - braille.initialize (16:10:56.616) - MainThread (13276):
Using pySerial version 3.4
INFO - brailleDisplayDrivers.hims.BrailleDisplayDriver.__init__ (16:10:58.646) - MainThread (13276):
Found Braille Edge connected via custom (\\?\usb#vid_045e&pid_930b#00000000-0000-0000-0000-000000000000#{a5dcbf10-6530-11d2-901f-00c04fb951ed})
INFO - braille.BrailleHandler.setDisplayByName (16:10:58.646) - MainThread (13276):
Loaded braille display driver hims, current display has 40 cells.
INFO - core.main (16:10:58.915) - MainThread (13276):
Java Access Bridge support initialized
INFO - _UIAHandler.UIAHandler.MTAThreadFunc (16:10:58.915) - _UIAHandler.UIAHandler.MTAThread (16200):
UIAutomation: IUIAutomation6
INFO - core.main (16:10:59.047) - MainThread (13276):
NVDA initialized
ERROR - gui.installerGui.doInstall (16:17:19.417) - MainThread (13276):
Failed to execute installer
Traceback (most recent call last):
  File "gui\installerGui.pyc", line 49, in doInstall
  File "systemUtils.pyc", line 63, in execElevated
  File "shellapi.pyc", line 42, in ShellExecuteEx
OSError: [WinError 1223] Operazione annullata dall'utente.
ERROR - gui.installerGui.doInstall (16:17:19.417) - MainThread (13276):
Installation failed: [WinError 1223] Operazione annullata dall'utente.

Non caousco cosa devo fare.

Grazie Rino

Il 23/02/2021 10:30, Leonardo M ha scritto:
Ciao. In alcuni NVDA che ho visto, non so perché, anche se gli addon non compatibili erano stati rimossi dal gestore componenti aggiuntivi ed NVDA era stato riavviato, sti addon continuavano ad apparire ma non si poteva farci nulla, in fine ho scoperto che erano rimaste delle cartelle .pending in %appdata%\nvda\addons, eliminate a mano e tutto risolto.
Ciao.
Leonardo

Il giorno 23 feb 2021, alle ore 10:19, Simone Dal Maso <simone.dalmaso@gmail.com> ha scritto:

Se ci sono degli addon non compatibili NVDA vi avverte e bisogna attivare la casella di controllo, ho capito.
Tenete presente che per pigrizia è possibile che ve ne siano rimasti buttati li', io ne ho 2 3 che non ho mai cancellato e quindi tutte le volte ho sta tiritera.
Comunque è una cosa che c'è dalla 2019.3, se ci sono addon che non usate più e il messaggio vi dà fastidio, disintegrateli dalla gestione componenti aggiuntivi e così risolvete.



Il 23/02/2021 08:20, antonio via groups.io ha scritto:
buongiorno, ho provato ad installare la versione sotto riportata però anche io ho il problema dei componenti aggiuntivi non compatibili. mi date ragguaglio in merito? ringrazio e saluto.
Il 22/02/2021 10:42, Ermes Gualtieri via groups.io ha scritto:
Buongiorno alla lista e un grazie a Leonardo e Alberto per le loro dritte grazie alle quali ho portato a termine l'aggiornamento alla versione 2020.4 di NVDA.

Saluti
Ermes
Il 20/02/2021 18:35, Alberto Buffolino ha scritto:
Leonardo M, il 20/02/2021 18.12, ha scritto:
Ciao Ermes. Ti consiglio prima di aggiornare NVDA di aggiornare tutti i componenti aggiuntivi con Addon updater, dal log emerge che parecchi non sono compatibili.
Alberto:
...e non capisco perché, fra l'altro. 😠
Io non ho avuto problemi, e mi pare anche logico, visto che non ci sono stati cambiamenti di rottura dopo la 2019.3, che io ricordi. Ci saranno con la 2021.1, questo sì, ma non è un buon motivo perché almeno due dei miei add-on non siano compatibili adesso...
Va be', Ermes, NoBeepsSpeechMode aggiornato lo trovi qui, cerca "download stable" nella pagina:
https://github.com/ABuffEr/noBeepsSpeechMode
Alberto








--
"nessun uomo è libero se non è padrone di se stesso".





Join nvda-it@groups.io to automatically receive all group messages.